//#SUBTITLE_NAMING_SCRIPT=%title%.%year%.%season%.%episode%.%language%.%extension%
string fileName;

  //subtitle is from Sublight database which have all details
  if (%has_video% && %subtitle_should_have_same_name_as_video%)
  {
	//subtitle should have same name as video file and append language code
	fileName = string.Format("{0}", System.IO.Path.GetFileNameWithoutExtension(%video_path%));
  }
  else if (%has_episode%)
  {
	fileName = string.Format("{0}", %title%);
	if (%year% > 0) fileName += string.Format(".{0}", %year%);
	fileName += string.Format(".S{0:00}E{1:00}", %season%, %episode%);
  }
  else
  {
	fileName = string.Format("{0}", %title%);
	if (%year% > 0) fileName += string.Format(".{0}", %year%);
  }
  
  if (!(%has_video% && %subtitle_should_have_same_name_as_video%))
  {
	  if (%parts% > 1)
	  {
		  //append part number
		  fileName += string.Format(".{0} of {1}", %partnum%, %parts%);
	  }
  }
  
//append language code
fileName += string.Format(".{0}", %ll%);

  //append extension
  if (%is_external%)
  {
	//append same extension as in original filename
	System.IO.FileInfo fi = new System.IO.FileInfo(%original_filename%);
	fileName += string.Format(".{0}", fi.Extension.TrimStart(new char[]{'.'}));
  }
  else
  {
	fileName += string.Format(".{0}", %extension%);
  }

  //replace any invalid characters with empty string and return result
  return EnsureValidFileName(fileName, string.Empty);